# eric7.Network.IRC.IrcNetworkManager

Module implementing the IRC data structures and their manager.

### Global Attributes

None

### Classes

IrcChannel | Class implementing the IRC channel object.
IrcIdentity | Class implementing the IRC identity object.
IrcNetwork | Class implementing the IRC network object.
IrcNetworkManager | Class implementing the IRC identity object.
IrcServer | Class implementing the IRC identity object.

### Functions

None

## IrcChannel

Class implementing the IRC channel object.

### Derived from

None

### Class Attributes

None

### Class Methods

None

### Methods

IrcChannel | Constructor
autoJoin | Public method to check the auto join status.
getKey | Public method to get the channel key.
getName | Public method to get the channel name.
load | Public method to load the network data.
save | Public method to save the channel data.
setAutoJoin | Public method to set the auto join status of the channel.
setKey | Public method to set a new channel key.

### Static Methods

None

#### IrcChannel (Constructor)

IrcChannel(name)

Constructor

name
  name of the network (string)

#### IrcChannel.autoJoin

autoJoin()

Public method to check the auto join status.

Return:
  flag indicating if the channel should be joined automatically (boolean)

#### IrcChannel.getKey

getKey()

Public method to get the channel key.

Return:
  channel key (string)

#### IrcChannel.getName

getName()

Public method to get the channel name.

Return:
  channel name (string)

#### IrcChannel.load

load(settings)

Public method to load the network data.

settings
  reference to the settings object (QSettings)

#### IrcChannel.save

save(settings)

Public method to save the channel data.

settings
  reference to the settings object (QSettings)

#### IrcChannel.setAutoJoin

setAutoJoin(enable)

Public method to set the auto join status of the channel.

enable
  flag indicating if the channel should be joined automatically (boolean)

#### IrcChannel.setKey

setKey(key)

Public method to set a new channel key.

key
  channel key to set (string)

Up

## IrcIdentity

Class implementing the IRC identity object.

### Derived from

None

### Class Attributes

DefaultAwayMessage
DefaultIdentityDisplay
DefaultIdentityName
DefaultPartMessage
DefaultQuitMessage

### Class Methods

createDefaultIdentity | Class method to create the default identity.

### Methods

IrcIdentity | Constructor
getAwayMessage | Public method to get the AWAY message.
getIdent | Public method to get the real identity name.
getName | Public method to get the identity name.
getNickNames | Public method to get the nick names.
getPartMessage | Public method to get the PART message.
getPassword | Public method to get the password.
getQuitMessage | Public method to get the QUIT message.
getRealName | Public method to get the real name.
getServiceName | Public method to get the service name of the identity used for identification.
load | Public method to load the identity data.
rememberAwayPosition | Public method to get a flag indicating to remember the chat position upon AWAY.
save | Public method to save the identity data.
setAwayMessage | Public method to set the AWAY message.
setIdent | Public method to set the real identity name.
setName | Public method to set the identity name.
setNickNames | Public method to set the nick names of the identity.
setPartMessage | Public method to set the PART message.
setPassword | Public method to set a new password.
setQuitMessage | Public method to set the QUIT message.
setRealName | Public method to set the real name of the identity.
setRememberAwayPosition | Public method to set to remember the chat position upon AWAY.
setServiceName | Public method to set the service name of the identity used for identification.

### Static Methods

None

#### IrcIdentity.createDefaultIdentity (class method)

createDefaultIdentity()

Class method to create the default identity.

Return:
  default identity (IrcIdentity)

#### IrcIdentity (Constructor)

IrcIdentity(name)

Constructor

name
  name of the identity (string)

#### IrcIdentity.getAwayMessage

getAwayMessage()

Public method to get the AWAY message.

Return:
  AWAY message (string)

#### IrcIdentity.getIdent

getIdent()

Public method to get the real identity name.

Return:
  real identity name (string)

#### IrcIdentity.getName

getName()

Public method to get the identity name.

Return:
  identity name (string)

#### IrcIdentity.getNickNames

getNickNames()

Public method to get the nick names.

Return:
  nick names (list of string)

#### IrcIdentity.getPartMessage

getPartMessage()

Public method to get the PART message.

Return:
  PART message (string)

#### IrcIdentity.getPassword

getPassword()

Public method to get the password.

Return:
  password (string)

#### IrcIdentity.getQuitMessage

getQuitMessage()

Public method to get the QUIT message.

Return:
  QUIT message (string)

#### IrcIdentity.getRealName

getRealName()

Public method to get the real name.

Return:
  real name (string)

#### IrcIdentity.getServiceName

getServiceName()

Public method to get the service name of the identity used for identification.

Return:
  service name (string)

#### IrcIdentity.load

load(settings)

Public method to load the identity data.

settings
  reference to the settings object (QSettings)

#### IrcIdentity.rememberAwayPosition

rememberAwayPosition()

Public method to get a flag indicating to remember the chat position upon AWAY.

Return:
  flag indicating to remember the chat position (boolean)

#### IrcIdentity.save

save(settings)

Public method to save the identity data.

settings
  reference to the settings object (QSettings)

#### IrcIdentity.setAwayMessage

setAwayMessage(message)

Public method to set the AWAY message.

message
  AWAY message (string)

#### IrcIdentity.setIdent

setIdent(name)

Public method to set the real identity name.

name
  real identity name (string)

#### IrcIdentity.setName

setName(name)

Public method to set the identity name.

name
  identity name (string)

#### IrcIdentity.setNickNames

setNickNames(names)

Public method to set the nick names of the identity.

names
  nick names (list of string)

#### IrcIdentity.setPartMessage

setPartMessage(message)

Public method to set the PART message.

message
  PART message (string)

#### IrcIdentity.setPassword

setPassword(password)

Public method to set a new password.

password
  password to set (string)

#### IrcIdentity.setQuitMessage

setQuitMessage(message)

Public method to set the QUIT message.

message
  QUIT message (string)

#### IrcIdentity.setRealName

setRealName(name)

Public method to set the real name of the identity.

name
  real name (string)

#### IrcIdentity.setRememberAwayPosition

setRememberAwayPosition(remember)

Public method to set to remember the chat position upon AWAY.

remember
  flag indicating to remember the chat position (boolean)

#### IrcIdentity.setServiceName

setServiceName(name)

Public method to set the service name of the identity used for identification.

name
  service name (string)

Up

## IrcNetwork

Class implementing the IRC network object.

### Derived from

None

### Class Attributes

None

### Class Methods

createDefaultNetwork | Class method to create the default network.

### Methods

IrcNetwork | Constructor
addChannel | Public method to add a channel.
autoConnect | Public method to check, if the network should be connected to at start-up.
deleteChannel | Public method to delete the given channel.
getChannel | Public method to get a channel.
getChannelNames | Public method to get the list of channels.
getChannels | Public method to get the channels.
getIdentityName | Public method to get the name of the identity.
getName | Public method to get the network name.
getServer | Public method to get the server object.
getServerName | Public method to get the server name.
load | Public method to load the network data.
save | Public method to save the network data.
setAutoConnect | Public method to set the auto connect flag.
setChannel | Public method to set a channel.
setChannels | Public method to set the list of channels.
setIdentityName | Public method to set the name of the identity.
setName | Public method to set the network name.
setServer | Public method to set the server.

### Static Methods

None

#### IrcNetwork.createDefaultNetwork (class method)

createDefaultNetwork(ssl=False)

Class method to create the default network.

ssl
  flag indicating to create a SSL network configuration (boolean)

Return:
  default network object (IrcNetwork)

#### IrcNetwork (Constructor)

IrcNetwork(name)

Constructor

name
  name of the network (string)

#### IrcNetwork.addChannel

addChannel(channel)

Public method to add a channel.

channel
  channel object to add (IrcChannel)

#### IrcNetwork.autoConnect

autoConnect()

Public method to check, if the network should be connected to at start-up.

Return:
  flag indicating an auto connect (boolean)

#### IrcNetwork.deleteChannel

deleteChannel(channelName)

Public method to delete the given channel.

channelName
  name of the channel to be deleted (string)

#### IrcNetwork.getChannel

getChannel(channelName)

Public method to get a channel.

channelName
  name of the channel to retrieve (string)

Return:
  reference to the channel (IrcChannel)

#### IrcNetwork.getChannelNames

getChannelNames()

Public method to get the list of channels.

Return:
  list of channel names (list of string)

#### IrcNetwork.getChannels

getChannels()

Public method to get the channels.

Return:
  list of channels for the network (list of IrcChannel)

#### IrcNetwork.getIdentityName

getIdentityName()

Public method to get the name of the identity.

Return:
  identity name (string)

#### IrcNetwork.getName

getName()

Public method to get the network name.

Return:
  network name (string)

#### IrcNetwork.getServer

getServer()

Public method to get the server object.

Return:
  reference to the server (IrcServer)

#### IrcNetwork.getServerName

getServerName()

Public method to get the server name.

Return:
  server name (string)

#### IrcNetwork.load

load(settings)

Public method to load the network data.

settings
  reference to the settings object (QSettings)

#### IrcNetwork.save

save(settings)

Public method to save the network data.

settings
  reference to the settings object (QSettings)

#### IrcNetwork.setAutoConnect

setAutoConnect(enable)

Public method to set the auto connect flag.

enable
  flag indicate to connect to the network at start-up.

#### IrcNetwork.setChannel

setChannel(channel)

Public method to set a channel.

channel
  channel object to set (IrcChannel)

#### IrcNetwork.setChannels

setChannels(channels)

Public method to set the list of channels.

channels
  list of channels for the network (list of IrcChannel)

#### IrcNetwork.setIdentityName

setIdentityName(name)

Public method to set the name of the identity.

name
  identity name (string)

#### IrcNetwork.setName

setName(name)

Public method to set the network name.

name
  network name (string)

#### IrcNetwork.setServer

setServer(server)

Public method to set the server.

server
  server object to set (IrcServer)

Up

## IrcNetworkManager

Class implementing the IRC identity object.

### Signals

dataChanged()
  emitted after some data has changed
identitiesChanged()
  emitted after an identity object has changed
networksChanged()
  emitted after a network object has changed

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

IrcNetworkManager | Constructor
__load | Private slot to load the IRC data.
__loadDefaults | Private method to load default values.
addIdentity | Public method to add a new identity.
addNetwork | Public method to add a network.
close | Public method to close the open search engines manager.
deleteIdentity | Public method to delete the given identity.
deleteNetwork | Public method to delete the given network.
getIdentities | Public method to get a copy of all identities.
getIdentity | Public method to get an identity object.
getIdentityNames | Public method to get the names of all identities.
getNetwork | Public method to get a network object.
getNetworkNames | Public method to get a list of all known network names.
identityChanged | Public method to indicate a change of an identity object.
networkChanged | Public method to indicate a change of a network object.
renameIdentity | Public method to rename an identity.
save | Public slot to save the IRC data.
setIdentities | Public method to set the identities.
setNetwork | Public method to set a network.

### Static Methods

None

#### IrcNetworkManager (Constructor)

IrcNetworkManager(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### IrcNetworkManager.__load

__load()

Private slot to load the IRC data.

#### IrcNetworkManager.__loadDefaults

__loadDefaults(identityOnly=False)

Private method to load default values.

identityOnly
  flag indicating to just load the default identity (boolean)

#### IrcNetworkManager.addIdentity

addIdentity(identity)

Public method to add a new identity.

identity
  reference to the identity to add (IrcIdentity)

#### IrcNetworkManager.addNetwork

addNetwork(network)

Public method to add a network.

network
  network object to add (IrcNetwork)

#### IrcNetworkManager.close

close()

Public method to close the open search engines manager.

#### IrcNetworkManager.deleteIdentity

deleteIdentity(name)

Public method to delete the given identity.

name
  name of the identity to delete (string)

#### IrcNetworkManager.deleteNetwork

deleteNetwork(name)

Public method to delete the given network.

name
  name of the network to delete (string)

#### IrcNetworkManager.getIdentities

getIdentities()

Public method to get a copy of all identities.

Return:
  dictionary of all identities (dict of IrcIdentity)

#### IrcNetworkManager.getIdentity

getIdentity(name, create=False)

Public method to get an identity object.

name
  name of the identity to get (string)
create
  flag indicating to create a new object, if none exists (boolean)

Return:
  reference to the identity (IrcIdentity)

#### IrcNetworkManager.getIdentityNames

getIdentityNames()

Public method to get the names of all identities.

Return:
  names of all identities (list of string)

#### IrcNetworkManager.getNetwork

getNetwork(name)

Public method to get a network object.

name
  name of the network (string)

Return:
  reference to the network object (IrcNetwork)

#### IrcNetworkManager.getNetworkNames

getNetworkNames()

Public method to get a list of all known network names.

Return:
  list of network names (list of string)

#### IrcNetworkManager.identityChanged

identityChanged()

Public method to indicate a change of an identity object.

#### IrcNetworkManager.networkChanged

networkChanged()

Public method to indicate a change of a network object.

#### IrcNetworkManager.renameIdentity

renameIdentity(oldName, newName)

Public method to rename an identity.

oldName
  old name of the identity (string)
newName
  new name of the identity (string)

#### IrcNetworkManager.save

save()

Public slot to save the IRC data.

#### IrcNetworkManager.setIdentities

setIdentities(identities)

Public method to set the identities.

identities
  dictionary of all identities (dict of IrcIdentity)

#### IrcNetworkManager.setNetwork

setNetwork(network, networkName="")

Public method to set a network.

network
  network object to set (IrcNetwork)
networkName
  name the network was known for (string)

Up

## IrcServer

Class implementing the IRC identity object.

### Derived from

None

### Class Attributes

DefaultPort
DefaultSslPort

### Class Methods

None

### Methods

IrcServer | Constructor
getName | Public method to get the server name.
getPassword | Public method to get the password.
getPort | Public method to get the server port number.
load | Public method to load the server data.
save | Public method to save the server data.
setName | Public method to set the server name.
setPassword | Public method to set a new password.
setPort | Public method to set the server port number.
setUseSSL | Public method to set the SSL usage.
useSSL | Public method to check for SSL usage.

### Static Methods

None

#### IrcServer (Constructor)

IrcServer(name)

Constructor

name
  name of the server (string)

#### IrcServer.getName

getName()

Public method to get the server name.

Return:
  server name (string)

#### IrcServer.getPassword

getPassword()

Public method to get the password.

Return:
  password (string)

#### IrcServer.getPort

getPort()

Public method to get the server port number.

Return:
  port number (integer)

#### IrcServer.load

load(settings)

Public method to load the server data.

settings
  reference to the settings object (QSettings)

#### IrcServer.save

save(settings)

Public method to save the server data.

settings
  reference to the settings object (QSettings)

#### IrcServer.setName

setName(name)

Public method to set the server name.

name
  server name (string)

#### IrcServer.setPassword

setPassword(password)

Public method to set a new password.

password
  password to set (string)

#### IrcServer.setPort

setPort(port)

Public method to set the server port number.

port
  server port number (integer)

#### IrcServer.setUseSSL

setUseSSL(on)

Public method to set the SSL usage.

on
  flag indicating SSL usage (boolean)

#### IrcServer.useSSL

useSSL()

Public method to check for SSL usage.

Return:
  flag indicating SSL usage (boolean)

Up